API ReferenceConnected Accounts
Update a connected account
Updates mutable fields of a connected account. Currently supports updating the alias field. Alias must be unique within the same project, entity, and toolkit scope.
x-api-key<token>
Project API key authentication
In: header
Path Parameters
nanoidstringRequired
The unique identifier (nanoid) of the connected account
Format:
connectedAccountIdRequest Body
application/json
aliasstringRequired
A human-readable alias for this connected account. Pass an empty string to clear the alias. Must be unique per entity and toolkit within the project.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://backend.composio.dev/api/v3/connected_accounts/con_1a2b3c4d5e6f" \ -H "Content-Type: application/json" \ -d '{ "alias": "work-gmail" }'{
"success": true
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}{}{
"error": {
"message": "string",
"code": 0,
"slug": "string",
"status": 0,
"request_id": "string",
"suggested_fix": "string",
"errors": [
"string"
]
}
}